"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var symbol_codes_1 = require("./../binary/symbol-codes");
function lastIndexOfTag(params) {
    var content = params.content, tag = params.tag;
    var tagLength = tag.length;
    for (var pos = params.pos - 1; pos >= 0; pos--) {
        if (content[pos] === symbol_codes_1.openedAngleBracket) {
            var i = pos + 1;
            var j = 0;
            var symbolCode = 0;
            var isEqualTagName = true;
            while (j < tagLength && isEqualTagName) {
                symbolCode = content[i];
                if (symbolCode === symbol_codes_1.space) {
                    isEqualTagName = true;
                }
                else {
                    isEqualTagName = symbolCode === tag[j];
                    j++;
                }
                i++;
            }
            symbolCode = content[i];
            if (isEqualTagName && (symbolCode === symbol_codes_1.space || symbolCode === symbol_codes_1.closedAngleBracket)) {
                return pos;
            }
        }
    }
    return -1;
}
exports.default = lastIndexOfTag;
