/// <reference types="node" />
export interface TagAttributesGetParams {
    content: Uint8Array | Buffer;
    contentLength: number;
    pos: number;
}
export interface TagAttributesParserState {
    attrs: {
        [key: string]: string;
    };
    pos: number;
}
export default function getTagAttributes(params: TagAttributesGetParams): TagAttributesParserState;
